cernlib (2005.05.09-4) unstable; urgency=low

  * debian/control.d/0base.control, debian/rules: Build-Depend on gcc-3.4 and
    drop a symlink gcc -> /usr/bin/gcc-3.4 into debian/add-ons/bin in order to
    ensure we don't build with a compiler having bug #325050.  This works
    around bug #324902, a segfault when using ntuples in Paw.  Not actually
    closing #324902 until it's fixed in GCC 4.

  * New patch 113: Re-order lines in PostScript output to work around
    CUPS issue.  Thanks to Frank Dohrmann <F.Dohrmann@fz-rossendorf.de>
    for the work-around and testing.  (closes: #329207)

  * New patch 211 by Harald Vogt <harald.vogt@desy.de> (found at
    http://www-zeuthen.desy.de/linear_collider/cernlib_2005_x86_64.patch )
    to improve behavior of Paw and Paw++ on 64-bit architectures.
    Patch is, however, disabled until I can work out what to do about the
    -fno-f2c compiler flag and fix the conflict with patch 304.

  * Fine-tuning of dependencies:
    - debian/control.d/{geant321-doc,kuipc}.control: add Depends on
      cernlib-base.  Goal is for all Cernlib-related packages to depend at
      least indirectly on cernlib-base, so "apt-get remove cernlib-base" will
      remove all Cernlib packages.
    - debian/control.d/libpawlib2-dev.control: add Suggests on
      libpawlib2-lesstif-dev, analogous to libpacklib1-dev suggesting
      libpacklib1-lesstif-dev.
    - debian/control.d/{pawserv.control,fatmen.disabled}: add Conflicts
      against harden-servers since these servers are most insecure.
      (Cf. bug #325008 which will make the Conflicts mutual.)
    - debian/control.d/pawserv.control: add Depends on netkit-inetd | xinetd,
      but note in the long description that people choosing to run this
      package under xinetd will have to set up the configuration themselves.

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Wed, 21 Sep 2005 11:20:38 -0400

cernlib (2005.05.09-3) unstable; urgency=low

  * Forgot to delete patch 316 (preventing the compilation of libisajet on
    m68k in the Imakefile).  Why didn't anyone file an FTBFS bug over this?
    Fixed now.

  * Add "| debconf-2.0" to Depends of pawserv, pursuant to
    http://lists.debian.org/debian-devel/2005/08/msg00136.html .

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Thu,  4 Aug 2005 14:33:37 +0000

cernlib (2005.05.09-2) unstable; urgency=low

  * patch 112: Comment out functions in gen.h that do not exist in mathlib.
    Otherwise third-party code fails to link via cfortran (closes: #315956).
    (This has been cloned to bug #315974 in sarge.)  Thanks to Tim Gershon
    for the bug report.

  * debian/control.d: Add versioned dependency on cernlib-base
    (>= 2005.05.09-1) to libmathlib2-dev and libpacklib1-lesstif-dev
    since they need a recent version of the cernlib script.
    Explicitly conflict against blas2-dev, lapack2-dev in the cernlib-base
    package to solve some problems with "apt-get dist-upgrade" from Sarge.

  * debian/changelog: Correct previous changelog entry to also credit
    Patrice Dumas re: patch 318.

  * debian/rules, debian/control.d: Compile isajet on m68k since the
    compiler bug preventing it (#225621) is fixed in g77 3.4, now the
    default g77 version.  (Neither upstream nor I want to deal with
    gfortran yet...)

  * debian/add-ons/manpages/cernlib.1: Change the help output to match
    the new actual output of the cernlib script.

  * Install kuesvr into the directory /usr/lib/libpacklib1 in conformance
    with Policy 8.1.  (It doesn't make sense to call it directly, only from
    within the library, so kuesvr is a "run-time support program".)
    - patch 605, debian/rules: Patch source code to deal with this.
    - debian/debhelper/{cernlib-base,libpacklib1}.README,
      debian/add-ons/kuesvr.1: Note the new location in documentation.
    - debian/control.d/libpacklib1.control: Conflict against older paw-static
      and paw++-static packages which expect to have kuesvr in the $PATH.
    - debian/control.d/0base.control: Bump Standards-Version to 3.6.2.

  * debian/README.source, debian/patches/README: Expand upon build-time
    documentation.

  * debian/lintian/*: Update location of menu files (lib->share) in overrides.

  * debian/debhelper/*.menu: Give full paths to commands in menu files
    (except for sh; if /bin isn't in $PATH someone has a problem).

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Thu, 21 Jul 2005 14:26:15 +0000

cernlib (2005.05.09-1) unstable; urgency=low

  * New upstream release.
    - Incorporates the security fixes from Debian version 2004.11.04-3,
      making a number of Debian-specific patches obsolete.
    - Fixes build failures with gcc 4 (closes: #303098).  Thanks also to
      Andreas Jochens <aj@andaco.de> and Patrice Dumas <dumas@lmd.ens.fr>
      for some additional fixes now in new patch 318.
    - Note new upstream source directory in debian/copyright.

  * Post-Sarge spring clean-up of debian directory structure:
    - Move all debhelper-related snippets into a debian/debhelper directory.
      Symlink to them at build time and delete the symlinks at clean time.
    - Likewise, add a debian/lintian directory and store overrides there.
      (No need for symlinks; they are copied into packages by debian/rules.)
    - Move debian/generic/patches to debian/patches in preparation for
      dpatchization.
    - Rename debian/generic to debian/add-ons to better describe its contents.
    - Move debian/local/control to debian/control.d, remove-deadpool to
      add-ons/bin, and the other files in debian/local directly under the
      debian directory.
    - Rename rules-help.txt to README.source in attempt to comply with the
      Policy proposal in bug #250202.  Add "patched" target to debian/rules
      as a synonym for "patch".
    - Edit all files referring to these paths appropriately.

  * Post-Sarge spring clean-up of dependencies in debian/control.d/*:
    - Remove lesstif-dev from Build-Depends and Depends; we only want to
      use lesstif2-dev and we no longer are concerned with woody
      backport-ability.
    - Remove the xlibs-dev alternative from Build-Depends for same reasons.
    - Remove all references to version numbers 2003.09.03-2 and earlier
      (dating from > 1.5 years before the release of Sarge):
      . Versioned dependencies on packages >= 2003.09.03-2 become
        unversioned dependencies;
      . Conflicts/Replaces against old packages libcern1, etc. are removed.

  * Post-Sarge removal of woody backward compatibility hack for debconf i18n
    from debian/rules:
    - Move pawserv.templates.master to pawserv.templates.
    - debian/po/POTFILES.in: list debian/pawserv.templates (not .master).
    - debian/control.d/0base.control: Build-Depend on debhelper (>= 4.1.16).
    - debian/control.d/pawserv.control: Depend on debconf (>= 1.2.0).

  * debian/rules, debian/debhelper/pawserv.postinst: Change permissions
    of /var/log/pawserv directory in postinst (with dpkg-statoverride) instead
    of debian/rules, to fix Lintian warning and better guarantee security.
    Also, if the local admin for some reason has overridden our set permissions
    (0700) with dpkg-statoverride, this way his/her changes will be preserved.
    Remove the stat-override in pawserv.postrm.

  * Convert patch system to dpatch, re-applying all extant patches (that are
    still relevant) from scratch.  Be warned, some of the dpatch
    files are shell scripts (a little-used dpatch feature) instead of patches!
    See debian/patches/README in the source package for more information.
    - Add dpatch (>= 2.0.9) to Build-Depends.
    - Patch files are now much more fine-grained.
    - Edit debian/rules to use dpatch targets.
    - Implement hackery in add-ons/Makefile so build still works on
      non-Debian systems.
    - patch 308: allow build process to search for cfortran.h at
      <cfortran/cfortran.h> instead of <cfortran.h>.  As a result, add
      (>= 4.4-5) to cfortran Build-Dependency.  Also edit add-ons/Makefile
      to compensate.
    - patch 602 (part of old patch 041): add #ifdef CERNLIB_DEBIAN protection
      around change to use x-terminal-emulator instead of xterm.

  * Some libraries are bumped from soname version 1 to soname version 2
    because they have a direct or indirect dependency upon libblas and
    liblapack.  We are moving from a dependency on lib{blas,lapack}.so.2 to
    lib{blas,lapack}.so.3 (closes: #280782).  The affected libraries are
    cojets, geant321, herwig59, isajet758, mathlib, pawlib, pdflib804, phtools.
    - Rename debhelper snippets and fix contents where needed.  (Note that
      lib*.install files are edited to s/2004/2005/ even for libraries not
      changing sonames.)
    - Fix Build-Depends in debian/control.d/0base.control.
    - Clean up dependencies in debian/control.d/*.  In most cases the Depends
      on blas and lapack which worked around bug #276145 are no longer
      needed.
    - Make cernlib-base Conflict against all the old -dev packages.
    - Bump sonames in build process (patch 806).
    - Move isajet, eurodec, and cojets data files to a different location
      so they don't conflict with the files in the old soname packages.
      . Edit patch 301 so they are searched for in the correct place.
    - Fix debian/lib*.install and debian/local/control/lib*.control files.
    - Fix cernlib script to link against correct sonames.
    - Delete this item from TODOs.
    - Comment on soname change in debian/NEWS.

  * Separate out libpaw functionality with Lesstif dependencies into another
    library and package, libpawlib-lesstif.so.2 in libpawlib2-lesstif.
    Rename libkuipX11 to libpacklib-lesstif for consistency, and put it in a
    libpacklib1-lesstif package.  Move kuwhag.c from libpacklib-lesstif into
    libgrafX11, as it doesn't require Lesstif.  This reduces the library
    installation footprint for programs like pawX11 and mn_fit that don't
    need Lesstif.
    - Bump shlibs for libgrafX11 since it now has a new function.
    - Edit control files, debhelper files, and cernlib script accordingly.
    - Delete this item from TODOs.
    - Comment on library split in debian/NEWS.

  * Debconf translations
    - Czech: Martin Šín <martin.sin@seznam.cz> (closes: #304879)
    - Brazilian Portuguese: André Luís Lopes <andrelop@debian.org>
      (closes: #302476, #302488, #302495)
    - Vietnamese: Clytie Siddall <clytie@riverland.net.au> (closes: #313327)

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Tue, 14 Jun 2005 14:28:09 -0400

cernlib (2004.11.04-3) unstable; urgency=high

  * Security patches to fix potentially dangerous uses of /tmp.
    [Patches 027 and 034 also fix some such problems, but did not need to
    be updated for this release; I mention them here for completeness.]
    - patch 004: improve gxint script to create predictable filename "GEANT$$"
                 in $HOME, not /tmp
    - patch 048: have various daemons log to /var/log, not /tmp
    - patch 049: fix kuesvr not to create predictable filename in /tmp
    - patch 050: have COMIS create predictably named files in a safe
                 subdirectory of /tmp created with mkdtemp()
    - patch 051: miscellaneous other /tmp-related fixes that don't affect
                 Debian directly; mainly in build infrastructure
    Some difficult-to-fix problems remain, but they do not affect the
    build process, programs, or libraries in Debian.

  * debian/rules: Bump libpaw1 shlibs dependency to ">> 2004.11.04-2" since
    patch 050 adds a new public function "cstmpd_" to the library.

  * debian/rules, debian/libpacklib1.{install,dirs}, debian/generic/Makefile:
    Install kuesvr into the libpacklib1 package now that it isn't a
    security hazard.
    - debian/generic/manpages/kuesvr.1, debian/NEWS: Add kuesvr man page.
      Note the API incompatibility in the kuesvr command-line flags
      resulting from patch 049.
    - debian/local/control/libpacklib1.control: As a result of this
      incompatibility, have libpacklib1 Conflict against older versions of
      paw{,++}-static that expect the original kuesvr API.  (Older versions
      of paw and paw++ are dynamically linked to libpacklib1, so they will
      have no trouble.)
    - patch 041: When HOST_EDITOR is "vi &", execute the editor with
      "x-terminal-emulator -e" for Debian instead of "xterm -e".
    - debian/local/control/libpacklib1.control: Therefore, Suggests
      "xterm | x-terminal-emulator".

  * debian/generic/bin/cernlib:
    - Test for libblas-2.so and liblapack-2.so before libblas2.so and
      liblapack2.so, following the recent renaming of
      /etc/alternatives/lib{blas,lapack}2.so to lib{blas,lapack}-2.so in
      several packages.  Try plain libblas.so and liblapack.so last,
      to avoid mistakenly linking against libblas.so.3, etc.
    - Don't eat unknown arguments past the end of cernlib-specific flags;
      instead, output them directly before all other output (if they start
      with a hyphen "-") or inline as -l$argument (otherwise).  Mention
      this new behavior in the manpage, debian/generic/manpages/cernlib.1.

  * debian/local/control/0base.control: Remove atlas2-dev from Build-
    Conflicts and add it to Build-Depends (as an alternative to each
    of blas-dev, lapack-dev).  Since the libblas.so.2 and liblapack.so.2
    libraries in atlas2-*-dev packages are supposedly ABI-compatible with
    those in blas and lapack packages, this should be perfectly OK.
    - debian/generic/Makefile: don't link pawX11.static with -llapack
      directly; use the "cernlib" script to detect the right lapack
      library automatically.

  * patch 048, debian/rules, debian/pawserv.{cron.hourly,logrotate,postrm},
    debian/local/control/pawserv.control:
    Fix pawserv/zserv to write its logs to a sane place (/var/log/pawserv)
    with permissions 0700, add a cron.hourly script to concatenate them
    into /var/log/pawserv.log, include a logrotate.d config fragment, and
    have the pawserv package Suggest logrotate and Recommend cron.

  * debian/generic/misc/cernlib.m4, debian/NEWS: New update of cernlib.m4
    Autoconf macros from Patrice Dumas <dumas@lmd.ens.fr>.  This version is
    slightly backwards-incompatible; for details, see debian/NEWS (in source)
    or /usr/share/doc/cernlib-base/NEWS.Debian (in installed packages).

  * debian/local/control/cernlib-montecarlo.control: No longer depend on
    "libisajet758-dev | m68k-linux-gnu" since type-handling has stopped
    providing architecture virtual packages (cf. bug #274747).  Instead,
    Recommend libisajet758-dev so as not to be uninstallable on m68k.

  * debian/generic/manpages/*, debian/*.{TODO,README.debian}: Update and
    touch up various documents slightly, including a note in gxint.1 about
    the change due to the update of patch 004.

  * debian/*.overrides: Remove Lintian overrides for the warning
    description-synopsis-starts-with-a-capital-letter; it has been removed
    from Lintian due to too many false positives.

  * debian/generic/README: Remove obsolete claim that compressed GIF
    support is disabled.

  * debian/paw*.README.debian: Mention that making the suggested change to
    XF86Config-4 will cause Debconf not to update that file, and refer
    to the relevant X Strike Force FAQ entry.

  * debian/generic/Makefile, debian/generic/patches/ifort.patch,
    debian/generic/patches/additions/config+linux.cf,
    debian/local/rules-help.txt: Add the "ifort" option to $DEB_BUILD_OPTIONS
    to compile with ifort/icc instead of g77/gcc.  Thanks to Marco Cammarata
    <marco.cammarata@esrf.fr> for trying this out.

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Thu, 10 Mar 2005 16:05:44 +0100

cernlib (2004.11.04-2) unstable; urgency=low

  * patch 015: Compile src/mathlib/gen/d/radmul.F at -O0 to work around a
    g77 optimization bug (closes: #290394).  Many thanks to
    Eduardo A. Menendez Proupin <emenendez@macul.ciencias.uchile.cl>
    for tracking this down.

  * Tidying up for Sarge:
    - debian/generic/patches/additions/config+linux.cf: Comment out extra
      "ServerExtraDefines" definition.
    - debian/paw{,++}{,-static}.{overrides,dirs}, debian/rules: Add Lintian
      overrides for Lintian false alarms on these binary packages.
    - debian/local/control/*: Fix a few package descriptions that get a
      Lintian warning for description-synopsis-starts-with-a-capital-letter.
      Most of these are spurious but it would be too bothersome to add
      overrides for all of them.
    - debian/generic/manpages/cernlib.1: Explain why cernlib script links
      statically by default (viz., to preserve upstream behavior).
    - debian/*.doc-base: Change doc-base sections of documents from
      Apps/Programming to Apps/Science.
    - debian/copyright: Fix the copyright file so that the "above copyright
      notice" referred to in many of the exception licenses is included in
      the correct place.  Quote CERN's licensing of Cernlib under the GPL
      verbatim.  Remark upon where to find the original COPYRIGHT file for
      the Addison-Wesley copyrighted source code.
    - debian/copyright, debian/libpdflib804-dev.README.debian: Add a comment,
      just in case anyone gets worried, that the apparently non-free license
      of the file src/mclibs/pdf/doc/pdfdoc.dat (a.k.a. /usr/share/doc/lib-
      pdflib804-dev/pdfdoc.txt.gz) has been superseded by the GPL.
    - debian/*.README.debian: Add disclaimers that URLs for unofficial
      non-free Monte Carlo Debian packages (Ariadne, Pythia, etc.) may not
      last forever.

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Fri, 14 Jan 2005 00:08:44 -0500

cernlib (2004.11.04-1) unstable; urgency=high

  * New upstream version:
    - Upstream claims 64-bit is mostly fixed (closes: #255970) ...
    - ... except for COMIS; note this in various Paw-related README.Debian
      files and package control texts.
    - debian/local/control/*: change Architecture back to "any".
    - debian/generic/patches/additions/graflib+higz+higzcc+gifencode.c:
      delete, since the new orig.tar.gz includes gifencode.c.
    - debian/lib*.install: $CERN_LEVEL is now 2004, so the shared libs become
      lib*.so.1.2004 -- change the install files to work.
    - debian/copyright: s/2003_source/2004_source/ in the download URL

  * Maintain my versions of {linux,Imake}.cf independently of upstream's:
    - debian/generic/patches/additions/config+{linux,Imake}.cf: new files.
      Add the magic -DCERNLIB_QMLXIA64 flag to linux.cf for 64-bit arches.
    - debian/generic/Makefile: modify slightly to allow files in the
      .../patches/additions directory to overwrite files from upstream.
    - Debian patches 36 and 37: delete, as they are no longer needed.

  * Some fixes to deal with issues in the supposed interchangeability of
    atlas2-base-dev with lapack-dev and blas-dev:
    - debian/generic/bin/cernlib: If libblas.so or liblapack.so is not found,
      fall back to libblas2.so or liblapack2.so respectively.
    - debian/local/control/{cernlib-*,libmathlib1-dev}.control: Explicitly
      prefer installation of blas{,-dev} and lapack{,-dev} over
      atlas2-base{,-dev} in metapackages.  Hopefully, this closes: #276145.

  * debian/local/control/{paw-common,libpaw1}.control: Add the package
    "libc6-dev | libc-dev" to the Recommends of libpaw1 and paw-common.
    Without libc-dev, PAW and Paw++ can only interpret FORTRAN code, not
    compile it, as ld complains that crti.o is missing.

  * debian/local/control/{pawserv,zftp}.control: Improve descriptions of
    pawserv, zftp packages and note their general uselessness more explicitly.

  * debian/{cernlib-base.TODO,*.README.debian}: Minor edits.

  * debian/rules: Add an orig.tar.gz target for my convenience.

  * debian/rules: Change generated shlibs to depend upon library versions
    >= 2004.01.20-6, the last time any backwards incompatibilities appeared.

  * patch 46: Shut up makedepend (cf. xutils bugs #257142, #267205).

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Tue, 30 Nov 2004 12:33:16 -0500

cernlib (2004.01.20-8) unstable; urgency=low

  * debian/generic/bin/paw-demos: Fix to work correctly with the current
    filecase default setting of Paw (closes: #274056).
    - On a related note, document that this default was changed for Debian,
      and how to get the original behavior back, in the various
      paw*.README.Debian files.

  * Fix Lintian errors:
    - Create 32x32 pixel versions of the Paw and KXterm xpms and use
      these in the Debian menu entries.
    - Force most metapackages to depend upon the exact same version of
      cernlib-base, since their /usr/share/doc dirs are symlinked to that
      of cernlib-base.
    - Force cernlib-montecarlo metapackage to depend upon the exact same
      version of montecarlo-base, for the same reason.  Make the
      cernlib-montecarlo package Architecture: all so that this will not
      cause problems with binary NMUs.  Allow for the fact that isajet is
      not currently compilable on m68k by depending upon
      libisajet758-dev | m68k-linux-gnu ("m68k-linux-gnu" is Provided on
      m68k GNU/Linux platforms by the type-handling package).

  * debian/rules: Simplify the overly obfuscated code for dh_shlibdeps
    by using "shlib" as the argument for the -l flag.

  * debian/control: Remove obsolete dummy packages libcern1, libcern1-dev,
    libmontecarlo1, libmontecarlo1-dev, montecarlo-data, montecarlo-doc.
    There is no need for these to enter stable (having never been there
    originally), and they have been dummy packages long enough that their
    removal should not cause upgrade problems for people running sid or sarge.

  * debian/control: Finesse dependencies of Arch: all packages such that
    all Recommends are either converted to Depends or removed.

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Thu,  7 Oct 2004 12:00:49 -0400

cernlib (2004.01.20-7) unstable; urgency=medium

  * Urgency still medium in order to get this into testing; patch 47
    fixes major bugs in the Paw++ GUI.

  * Take some action to make Cernlib build logs smaller; the log files
    were so large as to require manual handling by buildd admins:
    - patch 37: stop Imake from complaining that HasGcc{,2} already defined.
    - patch 46: stop compiler flags and full paths to source code from being
      printed except on error.

  * patch 47: Work around #270862 (a bug in Lesstif) so that Paw++ menus
    function correctly.  (closes: #270838, #270861)

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Wed, 22 Sep 2004 22:46:20 -0400

cernlib (2004.01.20-6) unstable; urgency=medium

  * patch 45: Compile isasrt.F into libisajet758 so that comphep can be
    built with Debian's isajet.  Thanks to David Kimdon <david@kimdon.org>
    for the patch.  (closes: #260469)

  * Add a set of Autoconf macros to detect Cernlib libraries in the
    cernlib-base package, installed to /usr/share/aclocal/cernlib.m4.
    Many thanks to contributor Patrice Dumas <dumas@centre-cired.fr>.
    - debian/generic/misc/cernlib.m4: The macro file.
    - debian/generic/Makefile: Have it installed automatically by the Makefile.
    - debian/cernlib-base.{dirs,install}: Install it into cernlib-base package.
    - debian/local/control/cernlib-base.control: Note in package description.

  * Be more specific in the README.Debian's for Geant packages about which
    functions are missing or will not work due to the excision of FLUKA code.
    Add dummy symbols for some missing functions in debian/generic/patches/
    additions/geant321+gkine+dummy.c so that it is possible to link against
    the Geant shared library.  Hence urgency=medium.  Thanks to Matt Bellis
    <bellis@ernest.phys.cmu.edu> for reporting the problem.

  * patch 07: Add erdecks, erpremc, matx55 directories to the list of code to
    compile, so that ERTRAK is included in the Geant library.

  * debian/generic/scripts/makedeplist: Finetune this so it doesn't list
    any dependencies on libc, libm or libg2c.

  * Debconf translations
    - Japanese: Hideki Yamane <henrich@samba.gr.jp>  (closes: #259794)

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Sat, 14 Aug 2004 10:10:46 -0400

cernlib (2004.01.20-5) unstable; urgency=low

  * Last known Unisys LZW patent is expired, so we can make compressed
    GIFs again.
    - debian/generic/patches/additions/graflib+higz+higzcc+gifencode.c: Add
      back the original version of this file from upstream sources.
    - debian/copyright: Delete comment about this file's removal.
    - debian/cernlib-base.TODO: Remove this item from todo list.
    - debian/local/deadpool.txt: Don't delete this file from upstream code
      when (if ever) it becomes time to prepare a new orig.tar.gz.

  * debian/control: Change "Arch: any" to explicitly list only 32-bit arches.
    I don't know what kind of crack the authors of Cernlib were smoking,
    but it looks difficult if not impossible to patch it to work on 64-bit
    without rewriting the whole thing.

  * Remove Imake.cf and linux.cf files left in root directory of the source
    package by mistake.

  * patch 44: Undefine "strdup" before redefining it, in the case when
    it is a macro, to prevent annoying compiler warnings.

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Mon, 12 Jul 2004 08:23:29 -0400

cernlib (2004.01.20-4) unstable; urgency=low

  * patch 15: Every release of g77 breaks something new.  Avoid
    optimization when compiling src/pdf/spdf/structm.F to prevent ICE
    on ARM.

  * patches 36, 37: Add support for x86_64 in src/config/{Imake,linux}.cf
    by stealing from the analogous Debian-patched files in xfree86 (version
    4.3.0.dfsg.1-4).  Untested -- I hope this works.

  * Debconf translations
    - German: Erik Schanze <mail@erikschanze.de> (closes: #250781)

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Sat, 12 Jun 2004 11:11:58 -0400

cernlib (2004.01.20-3) unstable; urgency=low

  * patch 43: Comment out gen.h prototype of NEWPTQ since it has more
    arguments than cfortran.h can accept.  (closes: #249423)

  * debian/generic/bin/fixheader: Convert #include "foo.h" to #include <foo.h>
    for all the header files in src/cfortran directory.

  * debian/generic/Makefile, debian/generic/patches/includelist: Install all
    headers from src/pawlib/paw/ntuple to /usr/include/paw/ntuple/ in the
    libpaw1-dev package, not just str.h.  Change all #include directives to
    refer to the correct directory, e.g. #include <paw/ntuple/foo.h>.
    (Really closes: #243860)

  * debian/generic/bin/cernlib, debian/generic/manpages/cernlib.1: Change
    the cernlib script to link only CERN libraries statically by default,
    not all libraries.  Rename the -dy flag to -safe to give a better
    indication of its behavior.  The -dy flag still exists and is
    equivalent for backwards compatibility.  (closes: #246375)

  * Add icons for PAW/Paw++ and KXterm:
    - debian/generic/icons/*.xbm: bitmaps extracted from
      src/pawlib/paw/cmotif/init.c, src/packlib/kuip/programs/kxterm/kxterm.c
    - debian/generic/icons/*.xpm: pixmaps created from kxterm.xbm and
      browser.xbm, clipped to 48x48 pixels and given transparent background.
    - debian/generic/Makefile, debian/{paw-common,kxterm}.{install,dirs}: add
      pixmaps to paw-common and kxterm packages in /usr/share/pixmaps/

  * debian/*.menu: Add menu items for PAW and static PAW.  Add longtitle menu
    descriptions.  Include icons in menu entries.

  * debian/local/control/*-dev.control: In short descriptions of libdevel
    packages, s/static version/development files/.

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Mon, 17 May 2004 16:10:02 -0400

cernlib (2004.01.20-2) unstable; urgency=medium

  * Urgency medium due to fix for Important bug # 245915.  See below.

  * A couple of fixes for the repercussions of changing to preserving case
    by default in the last release:
    - patch 040: Make sure to generate paw.metafile files in lowercase.
    - patch 004: The PAW script should delete PAW.METAFILE as well as
      paw.metafile if in the current directory and zero size; don't complain
      if one or the other doesn't exist.

  * New binary packages:
    - debian/dzedit.{dirs,install}, debian/local/control/dzedit.control,
      debian/generic/manpages/dze{dit,X11}.1: Add package of dzedit.
    - patch 004: Minor fixes to dzedit wrapper script.
    - debian/generic/Makefile: Install dzedit binaries and man pages.
    - debian/local/control/kuipc.control: Enable KUIPC package.
    - debian/local/control/cernlib-core-dev.control: Add both to the
      cernlib-core-dev metapackage.

  * debian/zftp.README.debian: Add a note that ZFTP doesn't respect
    FILECASE KEEP.  Since I doubt anyone uses ZFTP anyway, it looks to be not
    worth the effort to track down all the places where this should be fixed.

  * debian/generic/Makefile, debian/*-dev.install: Install all of the
    Cernlib include files.  I don't think that most of them are
    at all useful, but people are requesting them and I don't want to keep
    adding them in incrementally with each request.  Patch them at install
    time to #include <foo/bar.inc> instead of "foo/bar.inc" or "bar.inc".
    (closes: #243860)

  * debian/*-dev.links, debian/*-dev.dirs: Install links from /usr/include/*.h
    to /usr/include/cfortran/*.h as some programs (HEPATLAS) look for C
    header files there.

  * debian/generic/Makefile: Also install src/pawlib/paw/ntuple/str.h to
    /usr/include/paw/str.h.

  * Fix FOWL code to remove undefined symbols from libphtools:
    - debian/generic/patches/additions/phtools+fowl+dummy.c: Create weakly
      defined dummy functions FSTART, USER, FINISH (to be overridden by user).
      + Fix this and the similar file for herwig to print a message to stderr
        rather than stdout if one of the dummy functions is called.
    - patch 042: Fix Imakefile accordingly.  Also comment out section of
      qqstrt.F that depends upon obsolete "which" routine; it appears not
      to be strictly necessary.  In FOWLMP, call FSTART instead of START.
    - debian/libphtools1-dev.README.debian: Add a note that the expected
      user function is FSTART instead of START in order to avoid a name
      clash with mathlib.
    - (closes: #245915)

  * Deal with mdpool mess:
    - patch 006: edits for src/pawlib/comis/comis/cspar.inc and mdpool.inc
    - install upstream version of mdpool.inc (with above patch) to
      /usr/include/comis/, along with my added md{pool,size}.h
    - Note in libpaw1-dev's README.Debian and examples/pamain.c that
      developers must now #include <comis/mdpool.{h,inc}> instead of
      just <mdpool.{h,inc}>.

  * patch 001 (against src/config/lnxLib.rules): Instead of having copies of
    shared libraries in build tree, create symlinks from build tree to shlib
    directory (as with static libraries), in order to save disk space.

  * debian/generic/Makefile: Slightly modify the compilation of pawX11.static
    so that it isn't linked against Lesstif and other X libraries that it
    doesn't really need.  (The analogous operation for pawX11.dynamic will
    have to wait until post-sarge release; see the cernlib-base TODO.Debian)

  * debian/rules: Delete build tree when no longer needed, to save more
    disk space.  This should reduce the number of buildds that error out with
    "No space left on device".  The build tree can still be kept by having
    the string "keepbuild" in one's $DEB_BUILD_OPTIONS.

  * debian/rules, debian/local/rules-help.txt: Add "help" target.

  * debian/local/control/lib*.control: Apropos of bug # 245082 (already
    closed), explicitly state in library package descriptions that the -dev
    package must be installed in order to link against a library.

  * debian/cernlib-base.README.debian: Rewrite parts of base README file.

  * debian/*.TODO: Mention post-sarge plans.

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Wed, 28 Apr 2004 14:10:51 -0400

cernlib (2004.01.20-1) unstable; urgency=low

  * New upstream release (_extremely_ minimal changes to PAW).

  * The legacy packages not to be seen by m68k should be Arch: any rather than
    Arch: all.  This wouldn't be such a problem except that the montecarlo
    legacy packages depend on isajet, which isn't compiled on m68k due to bug
    # 225621.  All legacy dummy packages changed back to Arch: any.

  * patch 040: Do NOT by default assume all filenames are meant to be in
    lowercase.  The original broken behavior may be restored to PAW by adding
    "/KUIP/SET_SHOW/FILECASE CONVERT" to one's pawlogon.kumac file.

  * patch 041: Set more up-to-date and Debian-specific default helper apps
    for PAW, e.g. gv instead of ghostview, sensible-editor instead of vi.
    Add gv to Suggests field of paw{,++}{,-static} packages.  One can use
    alternative helper apps through PAW commands or environment variables;
    see the entries for HOST_EDITOR, HOST_PAGER, HOST_PSVIEWER, HOST_PRINTER
    in the PAW online help.

  * Add infrastructure for a package of kuipc, the Kit for a User Interface
    Package Compiler.  Not enabling the package yet, however, so that this
    release can get into testing sooner.
    - debian/generic/manpages/kuipc.1: write a man page.
    - debian/generic/Makefile: install binary and man page.
    - debian/kuipc.{dirs,install}: packaging data.
    - debian/local/control/kuipc.disabled: control fields.

  * debian/generic/manpages/paw.1: Add the PAW FAQ to the list of URLs in
    the "SEE ALSO" section.  Add pawserv(8) to the "SEE ALSO" section.
    Add environment variables for helper apps to the "ENVIRONMENT VARIABLES"
    section.

  * debian/rules: Add "unpack" and "patch" targets, performing the obvious
    operations, for convenience.

  * debian/generic/bin/gmake: Fix make wrapper script to work correctly when
    there is already a gmake in the path.

  * debian/generic/patches/additions/include+assert.h: Update patched local
    copy of assert.h to version taken from libc6-dev 2.3.2.ds1-11.
    Bug #171908 still isn't fixed...

  * Debconf translations
    - French: Christian Perrier <bubulle@debian.org> (closes: #238466)
    - Dutch:  Luk Claes <luk.claes@ugent.be>         (closes: #241419)

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Fri,  2 Apr 2004 12:08:49 -0500

cernlib (2003.09.03-5) unstable; urgency=medium

  * debian/local/control/0base.control: Update Build-Depends for new X
    packages.  Note that we depend explicitly only upon x-dev, libxt-dev
    and libx11-dev; other X libraries are needed only through lesstif2-dev,
    whose own dependencies should take care of things.  Build-Conflict
    against libxt-dev (<< 4.3.0-3) in order to avoid compiling on buildds
    having the xfree86 postrm script bug.

  * debian/local/control/lib{kuip,graf}x11-1-dev: Depend upon libxt-dev and
    libx11-dev (>= 4.3.0-3), respectively, in preference to xlibs-dev.

  * debian/copyright, debian/generic/manpages/cernlib.1: Correct the pointers
    to which packages contain README.Debian files explaining how to obtain
    non-free Monte Carlo libraries.

  * debian/generic/bin/cernlib: Explicitly link Lesstif programs with
    -lXm -lXt -lXp -lXext -lX11 -lSM -lICE on all arches, not just
    powerpc.  (Removed -lXpm since nothing in Cernlib or Lesstif seems to
    use libXpm.)

  * debian/generic/scripts/makedeplist: Add missing -D argument to nm
    for shared library dependency calculation.

  * patch 001: Noticed that the build process has sneakily linked in
    libpacklib statically to many programs; prevent it from doing this
    and link libpacklib dynamically instead.

  * gettextize pawserv Debconf template (closes: #234411):
    - debian/pawserv.templates.master, debian/po/*: work based on patch
      from Martin Quinson <Martin.Quinson@tuxfamily.org>.
    - debian/rules, debian/local/control/pawserv.control: woody backwards
      compatibility hack based on this message:
      http://lists.debian.org/debian-i18n/2003/debian-i18n-200307/msg00026.html

  * debian/kxterm.{postinst,prerm}: Delete, as they do nothing.  Must have
    been a holdover from the transition away from kxterm-static and
    kxterm-common packages, last seen a long time ago in (unofficial) package
    version 2002.12.02-0.1.

  * debian/*.menu: Quote all tags to fix lintian warning
    "unquoted-string-in-menu-item".

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Wed,  3 Mar 2004 15:29:21 -0500

cernlib (2003.09.03-4) unstable; urgency=medium

  * patch 015: Add pawlib/comis/code/csrfun.F to the list of files to be
    compiled without optimization.  For reasons beyond my comprehension,
    optimizing it, even at -O1, causes runtime breakage in dynamic PAW
    as of recent versions of g77.  (closes: #233689)
    
 -- Kevin B. McCarty <kmccarty@princeton.edu>  Thu, 19 Feb 2004 18:12:06 +0100

cernlib (2003.09.03-3) unstable; urgency=low

  * Packaging rearrangements and fixes:
    - debian/control, *.install, *.docs, etc.: Split libcern1{,-dev},
      libgraflib1{,-dev}, libmontecarlo1{,-dev} into packages for individual
      libraries.  The original library packages are now dummy packages and
      have been changed to Arch: all.  See NEWS.Debian for more detailed
      information about the split.  (closes: #212409)
    - debian/control: Put "[Physics]" at the beginning of short descriptions
      for GEANT and Monte Carlo library packages.
    - debian/control: Add cernlib and various cernlib-* metapackages to make
      life easier for people installing Cernlib.
    - debian/control: Some lib*-dev packages were missing dependencies on other
      dev packages (e.g. libc6-dev, xlibs-dev); also, libgeant1 was missing
      a dependency upon geant321-data.  Fixed.
    - debian/control: Remove all Conflicts and Replaces with Cernlib soname
      *.so.0 packages (lib*0{,-dev}) and kxterm-static, kxterm-common.  All of
      those were old and unofficial so it's time to forget about them.
    - debian/control: Loosen version dependencies of and against various
      Arch: all packages, since most of the data files, etc. haven't changed
      in years.
    - debian/control: Make a bunch of things depend on cernlib-base so its
      README.Debian file is available for any Cernlib package.
    - debian/control: Make paw-common and paw-demos Depend/Recommend
      primarily on paw++ instead of paw++-static, now that all the bugs
      due to dynamically linking pawlib are (I hope) worked out.
    - debian/rules: Automatically regenerate debian/control from files
      in debian/local/control directory in "clean" target.

  * Fixes for m68k:
    - Work around FTBFS on m68k for now by not generating isajet758 packages:
      + debian/rules: on m68k, generate control file without libisajet758
        packages or obsolete dummy packages
      + debian/control: create two versions of the cernlib-montecarlo
        metapackage control file (and make it Arch: any); select between them
        in debian/rules
      + debian/generic/Makefile: don't reference isajet758 on m68k
      + patch 037: create CERNLIB_M68K define on m68k
      + patch 001: (to src/mclibs/Imakefile) compile isajet only when
        CERNLIB_M68K is not defined
      + (closes: #222442)
    - patch 037: Tweak compiler args in order to get PAW working:
      + Remove -fomit-frame-pointer arg from g77 since -Ox (x > 0) implies it
        and it inhibits debugging on some arches.
      + Add -malign-int arg to gcc and g77 on m68k to fix the PAW bugs
        resulting from misaligned arrays.

  * debian/generic/scripts/*: Update and improve dependency calculation
    scripts. Information about them is now in the README in the same directory.

  * debian/generic/Makefile: Fix order of sed arguments PREFIX, LIBPREFIX
    so that LIBPREFIX won't have PREFIX substituted out from underneath it.

  * debian/generic/Makefile: Edit cernlib-static and cernlib-install-arch
    targets to remove possibility of overwriting dynamic paw* binaries with
    static paw* binaries when resuming an aborted compile.

  * debian/generic/bin/cernlib: Force X libs to always be printed out when
    a graphics driver X11 or Motif is specified.  libkuipX11 should always be
    linked against Motif (lesstif in Debian).

  * debian/libgraflib1.TODO: Deleted, since the README.Debian for paw*
    packages solves the only item listed.

  * debian/paw{,++}-static.README.debian, debian/control: Add a note that
    these packages are considered obsolete and superseded by paw{,++} packages.

  * patch 001: kxterm needs to be linked only to Lesstif / X libs, not any
    of the Cern libraries.

  * debian/cernlib-base.README.debian: s/appropraite/appropriate/

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Tue, 20 Jan 2004 12:32:13 -0500

cernlib (2003.09.03-2) unstable; urgency=low

  * debian/generic/bin/cernlib, patch 001: Fix Monte Carlo library
    dependencies.  herwig and isajet use PDFSET() function in pdflib.

  * patch 019: Comment out structm.F and pdfset.F in herwig Imakefile;
    the real functions are in pdflib.

  * Fix paw* executables so that the COMIS interpreter works correctly
    when dynamically linked:

    - patch 006: Instead of tracking down all the places in FORTRAN that
      require a positive memory offset from /COMMON/MDPOOL/IQ to malloc()ed
      code (a losing battle), declare MDPOOL/IQ in 0pamain.F and 0pamainm.F
      so it will be in the bss section of dynamically linked paw{X11,++}
      binaries.  This should allow the COMIS interpreter to function
      correctly in dynamically linked executables (closes: #212419, #212420).
      Also add a check that memory is in fact allocated, and exit non-zero
      with an error message if not.

    - debian/*paw*.README.debian, debian/control: Remove comments about bugs
      in dynamically linked executables.

    - debian/libpaw1-dev.README.debian: Add note that MDPOOL/IQ must be
      declared in any programs wishing to make use of COMIS and be dynamically
      linked, ideally by #include'ing <mdpool.inc> or <mdpool.h>.
      (closes: #212412)

    - debian/libpaw1-dev.install: Install mdsize.h, mdpool.{h,inc} to
      /usr/include.

  * debian/control: Add dependency on g77 to paw-static and paw++-static
    packages.  (How did I get away with forgetting that?)

  * debian/generic/manpages/paw-demos.1: Minor modifications to paw-demos
    man page.

  * debian/rules: Give dh_shlibdeps the -l flag it needs to find the libraries
    that have just been built.
  
  * debian/rules: Give -V argument to dh_makeshlibs to force dependencies
    upon the current version of cernlib.

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Sun,  2 Nov 2003 19:45:47 -0500

cernlib (2003.09.03-1) unstable; urgency=low

  * New upstream release:
    - src/mathlib/gen/d/d501l1.F: correct calculation of covariance matrix
    - src/packlib/cspack/sysreq/{Imakefile,log.c,trace.c}: use stdarg.h
      instead of gcc-3.3-deprecated varargs.h
  * patch 013: Put optimization level for qp_execute.c file to -O0 on all
    architectures since it's caused an ICE on at least one s390 machine as well
    as on powerpc
  * patch 029: fix line numbers for log.c patch due to upstream change
  * patch 031: remove stdarg patches for trace.c, log.c (fixed upstream)
  * patch 037: Set default optimization level for arm to -O2 after FTBFS on
    elara buildd
  * debian/control: Remove "Recommends: paw++-static | paw-binary" from libpaw1
    and libpaw1-dev.  It makes no sense for the library to recommend
    statically compiled programs, and I don't want it to recommend the
    still-experimental dynamically compiled ones.

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Thu, 16 Oct 2003 15:58:59 -0400

cernlib (2003.08.21-3) unstable; urgency=low

  * whoops, remove obsolete entries from debian/local/todo.txt
  * debian/control: Add Build-Conflicts on atlas2-dev to ensure that we build
    against the netlib reference versions of blas and lapack.
  * patch 001: Force hppa and alpha to use the Linux shlib rules (not HP-UX
    or OSF!) in biglib.rules when LinuxArchitecture is defined.  Should
    fix FTBFS on those platforms.
  * patch 037: Define CERNLIB_PPC for all big-endian architectures,
    since that flag appears to be used only for endianness tests in Cernlib
    source code.
    - patches 013, 014, 037: For the few cases in Imakefiles when CERNLIB_PPC
      is used specifically to test for the PowerPC chips, use a new define,
      CERNLIB_POWERPC.
  * patch 037: Lower default optimization on ia64 to -O2; maybe this will
    prevent FTBFS.
  * Minor touchups to documentation:
    - debian/control: make package short descriptions more consistent,
      clarify a few long descriptions
    - debian/generic/manpages/paw.1: add URL for PAW tutorial, reference guide
    - debian/copyright: s/replaced/restored/ in the last paragraph
    - debian/paw{,++}{,-static}.README.debian: s/zserv/pawserv/g
    - debian/pawserv.README.debian: add short note that configuration is done
      via Debconf

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Thu, 25 Sep 2003 11:42:22 -0400

cernlib (2003.08.21-2) unstable; urgency=low

  * debian/control: Remove references to montecarlo-installer-data package
    since it isn't in Debian (and I don't plan to upload it as of now).
    Point to the README.Debian files that mention it instead.
  * debian/control: move tetex-bin from Build-Depends-Indep to Build-Depends
    to fix FTBFS on buildds (closes: #212241)
  * debian/control: replace libmontecarlo1-dev dependency on libgeant1-dev
    with libcern1-dev (closes: #212333)
  * patch 035: use XmFontListAppendEntry(), not XmFontListCreate(), to avoid
    obsolete function warning in lesstif
  * patches 036, 037: substitute Imake.cf and parts of linux.cf from XFree86
    4.2.1 for local copies in src/config, attempting to get Cernlib to compile
    on non-{i386,powerpc} architectures
  * debian/control: therefore, change Architecture from "i386 powerpc" to "any"
  * patch 038: fix compilation bomb on macro of strndup() at high optimization
  * patch 039: use DBLE(X), not REAL(X), to get real part of DOUBLE COMPLEX
    variables
  * debian/generic/Makefile: change the method of hacking in Debian-specific
    configuration flags
  * debian/rules: remove one layer of escapes from quotes in DEBIAN_VERSION
    variable due to the Makefile change
  * debian/generic/patches/options: removed (obsolete due to the above change)
  * debian/local/bugs-to-file.txt: obsolete; removed

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Tue, 23 Sep 2003 15:06:19 -0400

cernlib (2003.08.21-1) unstable; urgency=low

  * New upstream release
  * debian/control: Update Standards-Version to 3.6.1 (no changes required)
  * patch 009: another fix for OS X dynamic library loading
    (thanks to Keisuke Fujii)
  * patches 027, 034: finish replacing mktemp() and tmpnam() by mkstemp() and
    tmpfile() to avoid race conditions with temporary files
  * patch 033: fix annoying kxterm warning about "Unknown keysym name:
    InsertChar" by changing it to Insert in code.
  * patch 034: if compiled with "-DCERNLIB_DEBIAN", have PAW bug reports
    sent to submit@bugs.debian.org instead of Paw upstream, and include
    Debian BTS bug report fields in the appropriate place
  * debian/rules, local/Makefile, local/patches/options: support adding extra
    defines to CernlibSystem
  * Added note about using X's "Screen->BackingStore" option to prevent
    HIGZ window corruption in each paw* package's README.Debian
  * local/bin/cernlib: realizing that libkuipX11 doesn't exist in upstream
    Cernlib, take account of this in the dependency script
  * (sigh) Remove src/graflib/higz/higzcc/gifencode.c from the source tree
    because it contains the patented LZW encoding algorithm.  (Although
    expired in the USA, this patent is in force until July 2004 in some
    places.)  Replace it with uncompressed GIF creation algorithm in
    local/patches/additions/graflib+higz+higzcc+gifencode.c , following
    libungif4's lib/egif_lib.c .
  * various README.Debian's: add notes that the apt-installer and
    montecarlo-installer-data packages are not currently in Debian, and
    note the appropriate /etc/apt/sources.list line for obtaining them
  * debian/control, debian/pawserv.*:
    - Rename zserv binary package to pawserv
    - debian/pawserv.{config,postinst,templates}: Use Debconf to determine
      which of {pawserv,zserv} to enable in /etc/inetd.conf
  * debian/control: No longer create binary packages fatmen and hepdb, as I
    don't know enough about these programs to support them and Cernlib's docs
    are completely unhelpful (e.g. referring to scripts that don't exist)
  * debian/control: have geant321 Depend upon libgeant1-dev rather than
    libgeant1, since libgeant1-dev is required for the gxint script to link
    against the libraries
  * local/patches/additions/include+assert.h: include local copy of assert.h ,
    patched to work around bug 171908 in makedepend
  * local/Makefile: make sure patches are applied in the right order by
    setting LANG and LC_COLLATE to C
  * debian/copyright: Finally get around to listing all known source code
    licenses and copyright holders here.
  * debian/local/copyrights.txt: delete this, since all the information in it
    is now included in debian/copyright
  * debian/control: restrict Arch to i386 and powerpc for now
  * debian/generic: decide to move top-level "local" directory here instead
    as it would be annoying to have only partial diffs against it in the
    diff.gz's for -2, -3, etc.

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Tue,  2 Sep 2003 22:57:23 -0400

cernlib (2003.05.14-0.1) unstable; urgency=low

  * Upstream changes:
    - Fix for postscript generation code to make CUPS happier
    - Fix for bug preventing use of long file paths (limit was increased
      from 80 to 128 characters, and a warning was added)
      . patch 030: increase limit further to 256 characters
    - Fix for PAW segfault when run with $HOME unset (e.g. from CGI script)
  * Bump Policy to 3.6.0 (no policy-specific changes needed)
  * debian/changelog tidying:
    - delete emacs local variable cruft from the bottom
    - convert to UTF-8 encoding
  * debian/local/control/paw-demos.control: mention the paw-demos script
  * move most of the non-Debian-specific contents of debian/local to a new
    local/ directory.  Will include this directory in the orig.tar.gz
    due to dpkg-source's inability to handle new directories (see Policy C.4.1)
  * debian/rules, local/Makefile: move non-Debian-specific targets
    to local/Makefile for eventual easier porting of non-Debian-specific
    patches
  * local/bin/gmake: edit to account for the case where GNU make
    really is called "gmake"
  * local/scripts: a couple obsolete things deleted, others updated
  * local/patches/cfortran-inc: no longer used, deleted
    (as of previous release; forgot to note this in changelog then)
  * patch 027: fix various files to use tmpfile(), not mktemp() or tmpnam()
    in order to avoid race condition (this work is not yet finished)
  * local/Makefile, etc.: clean up Monte Carlo documentation:
    - merge COJETS chapter files into one text file
    - merge ISAJET LaTeX chapter files into one .tex file and convert to PS
    - therefore, add Build-Depends-Indep on tetex-bin
    - patch 028: fix bug in ISAJET .tex file
    - name text files as *.txt, not *.doc
    - add (small) text document for Eurodec library
    - debian/montecarlo-doc.doc-base*: register documents with doc-base
  * likewise, clean up Geant documentation:
    - add various *.doc files found under geant321 directory, merging most of
      them into geant321.txt and renaming the others to *.txt files
    - add README.Debian file containing a table of contents for Geant docs
  * Patches to make Cernlib compile on Mac OS X:
    - patch 009: fix for executing compiled code within PAW (doesn't work
      yet though)
    - patch 029, local/patches/additions/config+MacOSX.*: add patch
      from Remigius Mommsen <Remigius.Mommsen@cern.ch>, see
      http://mommsen.home.cern.ch/mommsen/index.html?osx/cernlib.html
      for building Cernlib from source on Mac OS X
    - patch 029 also includes rudimentary "cuserid()" function since not
      supplied by OS X
    - patch 032: use regcomp()/regexec() on Linux and Mac OS X [instead of
      regcmp()/regex() or re_comp()/re_exec(), of which OS X has neither]
  * patch 031: port remaining varargs code to use stdarg, as GCC 3.3 has
    removed <varargs.h> support
  * local/bin/cernlib:
    - edit library path to depend on $CERN_ROOT if specified, $CERN and
      $CERN_LEVEL otherwise
    - allow cernlib script to recognize Mac OS X, including special-case
      dependency of libblas on -lcblas -lf77blas -latlas
    - add -lm and -lg2c explicitly to the output (fixes problem pointed out by
      Michael Thaler)
    - mention in man page that arguments to gcc/g77 should list source code /
      object files before `cernlib lib1 lib2` command substitution
    - have the default arch be the output of the included "sysname" function
      instead of "default"; this was apparently an oversight on my part
  * patch 001: fix Imakefile for kuesvr program to install it to $CERN_BINDIR
    like everything else
  * patch 009: fix potential problem with spaces in directory names

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Mon, 11 Aug 2003 14:58:06 -0400

cernlib (2003.03.18-0.1) unstable; urgency=low

  * New upstream release: really version 2003.02.03 but I didn't want to
    introduce an epoch or a string like "2003.03.18+really2003.02.03"
  * Fixes (I hope) a segfault of PAW in batch mode observed by Jan Wojcik
  * Add various .car files to /usr/include for appropriate lib*-dev packages
    at the request of Jo Fahlke
  * Move debian/local/scripts/{remove-deadpool,fixheader} to
    debian/local/bin since they are required by build
  * Update Policy to 3.5.9
  * Move various lib*-dev packages from devel to libdevel Section
  * paw-demos fixes:
    - Move paw-demos files from /usr/share/doc/paw-demos/examples to
      /usr/share/paw-demos to comply with Policy section 13.6
    - Remove patch 025 and detect $DISPLAY at script runtime
    - Add --display option to paw-demos script
    - Edit paw-demos manpage accordingly

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Wed, 23 Apr 2003 15:30:21 +0200

cernlib (2003.02.10-0.1) unstable; urgency=low

  * Author of Pythia/Jetset has not given CERN permission to GPL them; remove
    them and their dependents (Ariadne, FRITIOF, Lepto) from source tree
    - Bump cernlib upstream version since a new .orig.tar.gz file was created
      with non-free code removed
    - patch 001, debian/local/deadpool.txt: edit appropriately
    - patches 020, 023, 024: no longer relevant; delete them
    - patch 026, debian/local/patches/additions/geant321+gkine+dummy.c:
      add dummy routines to replace the Jetset functions used by Geant
    - debian/*.README.debian: explain how to obtain missing libraries
      (hint: "apt-get install montecarlo-installer-data")
    - Move libherwig59.{a,so} back to libmontecarlo1[-dev] since Geant only
      depended upon it via Jetset
  * debian/control:
    - make kxterm Conflict with old kxterm-common package
    - move *montecarlo* to "science" section and lib* (not -dev) to "libs"
    - remove Build-Depends-Indep field, since no Arch "all" packages require
      anything not required by Arch "any" packages
    - compress all dependencies on some type of PAW to
      "paw++-static | paw-binary"
    - tighten package dependencies so that most cernlib binary packages depend
      upon other cernlib binary packages with identical versions
    - give Priority: extra to fatmen, hepdb, zftp, zserv packages
  * debian/local/manpages:
    - paw.1: add reference to kxterm(1)
    - paw-demos.1: manpage for new paw-demos script added
    - zftp.1, zserv.8, pawserv.8: new zftp, zserv manpages
  * Remove references to undocumented(7)
  * debian/local/bin/paw-demos: new script to run paw demos added
  * debian/rules: add DH_ALWAYS_EXCLUDE=CVS and remove CVS delete snippet
    from local Makefile
  * debian/local/Makefile: patch .h files for -dev packages to
    #include <cfortran.h> and to be protected from multiple inclusion
  * debian/*.menu: move kxterm, paw++ from Apps/Programming to Apps/Science
  * debian/local/bin/cernlib: update library names to work with
    montecarlo-installer-data packaged libraries
  * debian/local/scripts/fixheader: new script to touch up .h files

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Sun, 23 Feb 2003 00:48:57 +0100

cernlib (2002.12.02-0.2) unstable; urgency=low

  * debian/local/todo.txt: Was out of date; fixed now.
  * debian/changelog: I forgot to note the following changes in -0.1:
    - patch 022: assignment of string literals to pointers in shared libs
      compiled with gcc 3.2 caused a segfault in paw
    - patch 023: one of the ariadne test programs calls a nonexistent function
    - patch 024: Compile dummy functions for pythia for cases when linkage with
      libpdflib804 isn't required
  * debian/control, debian/rules, debian/kxterm.*: Now that dynamic kxterm
    works on powerpc, don't build kxterm-{common,static} binary packages; move
    contents of kxterm-common package to kxterm binary package
  * debian/cernlib-base.README.debian: update accordingly
  * debian/paw, debian/paw++: update to note that dynamic paw, paw++ appear OK
    on powerpc
  * debian/local/manpages/cernlib.1: add "-dy" flag to cernlib(1) man page;
    update library names
  * debian/local/manpages/gxint.1: escape hyphens in text
  * debian/local/manpages/kxterm.1: write a manpage for kxterm
  * debian/local/app-defaults/*: some new, more sane default Xresource settings
  * debian/control: Build-Depend upon lesstif2-dev | lesstif-dev

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Fri, 24 Jan 2003 15:39:29 +0100

cernlib (2002.12.02-0.1) unstable; urgency=low

  * New upstream release (focuses mainly on isajet, lepto and pythia libs)
  * debian/control: Bump Standards-Version to 3.5.8
  * debian/control, patch 001: Bump shlib sonames to 1 for new release
  * debian/rules: Add `get-orig-source' and `remove-deadpool' targets
  * debian/rules: Split `install' target into install-arch and install-indep
  * debian/local/bin/cernlib: now prefixes -static to output unless
    itself given the -dy flag.  This will be a temporary measure until I fix
    cernlib libraries to work better as dynamic libs
  * patch 021: Nevertheless, compile packaged binaries dynamically except
    for the ones in the *-static packages.

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Wed, 15 Jan 2003 17:55:43 +0100

cernlib (2002.04.26-0.9) unstable; urgency=low

  * The "fix library dependencies" release -- never publicly released
  * Remove "-lSM -lICE -lXpm" from cernlib output on non-PPC
  * debian/local/scripts/makedeplist: new script to aid in doing so
  * Move several files from mathlib/gen/{d,n}/ to packlib/hbook/ in order to
    remove an undesirable dependency of packlib upon mathlib
  * debian/paw++-static.manpages: delete (it creates broken symlinks
    and the correct symlink is created by debian/paw++-static.links)
  * Move code under debian/local/Makefile fixcfortran target to
    stampdir/patch-stamp target, and delete fixcfortran target
  * debian/local/patches/additions/: Make it easier to add new files to source
  * patch 001: Fix programs to compile with correct arguments to cernlib script
  * patch 002: Favor the C version of lenocc() over the Fortran version
  * patch 011: delete this patch, its purpose is served by 016
  * patch 012: create an Imake macro for compiling Fortran targets sans
               optimization
  * patch 015: Some files don't compile with -O3 using g77 version 3.2;
               compile them with no optimization
  * patch 016: Pick a qnexte.c and qnext.F file to compile -- cause the rest
               not to be compiled
  * patch 017: Use the gamma function in mathlib, not in isajet751
  * patch 018: Move kernlib to the top of the source tree so it can be built
               before packlib, and likewise for packlib/kuip/code_motif so it
               can be built after graflib
  * patches 019, 020: Compile dummy.c user-definable functions with weak
               linkage for libherwig59, libariadne 
  * Move lib{ariadne,herwig59,jetset74} from libmontecarlo* to
    libgeant* packages
  * Edit the cernlib script to reflect new library dependencies
  * Add some additional documentation to the geant321-doc package

 -- Kevin McCarty <kmccarty@princeton.edu>  Thu,  9 Jan 2003 12:32:12 -0500

cernlib (2002.04.26-0.8) unstable; urgency=low

  * Fix src/pawlib/comis/code/cscrexec.F so that it compiles temporary
    dynamic libraries with -fPIC and without missing symbols
  * Allow paths to Fortran code to include characters like -, +, =, etc.
    in COMIS interpreter src/pawlib/paw/code/pawfca.F
  * Remove circular dependency between QNEXT and QNEXTE symbols of packlib and
    kernlib libraries
  * Fix relocation issues causing shared libraries to bomb on PPC (three
    Imakefiles with special cases caused compilation without -fPIC in
    libpaw and libherwig)
  * cernlib and gxint scripts changed from #!/bin/sh to #!/bin/bash scripts
    since they don't seem to work correctly with dash
  * libkuipX11 is not depended upon by libgraflib or libgrafX11; edit cernlib
    script appropriately

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Sat, 14 Dec 2002 21:08:04 -0500

cernlib (2002.04.26-0.7) unstable; urgency=low

  * Split giant patch 001-shlibs+FHS in debian/local/patches into several
    smaller patches
  * _Really_ fix man page symlinks (using dh_link instead of dh_installman)

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Sun, 17 Nov 2002 11:36:41 +0100

cernlib (2002.04.26-0.6) unstable; urgency=low

  * Fix man page symlinks for various packages

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Thu, 14 Nov 2002 10:17:34 +0100

cernlib (2002.04.26-0.5) unstable; urgency=low

  * Use virtual packages paw-binary, kxterm-binary to fix dependency
    debacle introduced by previous version

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Wed, 13 Nov 2002 20:04:21 +0100

cernlib (2002.04.26-0.4) unstable; urgency=low

  * Add menu entries for paw++-static, kxterm{,-static}
  * Now use update-alternatives to make it possible to install both
    {paw,paw++,kxterm} and {paw,paw++,kxterm}-static at once
  * Create new package, paw-common, for arch: all data (manpages,
    app-defaults) shared by all paw and paw++ packages
  * Likewise for kxterm-common
  * /usr/bin/paw script is now in paw-common package and will now call paw++
    if a paw++ package is installed but a paw package is not

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Wed, 13 Nov 2002 11:27:30 +0100

cernlib (2002.04.26-0.3) unstable; urgency=low

  * Explicitly make scripts executable in debian/rules
  * Change build dependency in debian/control from obsolete lapack99-dev
    to lapack-dev
  * Remove ${shlibs:Depends} from arch-independent package dependencies
  * Enable shadow password support in server binaries
  * Add lines in /etc/inetd.conf for zserv, pawserv in zserv.postinst
  * Depend upon latest netbase (>= 4.08) for required lines in /etc/services
  * Add support for noopt and nostrip options of $DEB_BUILD_OPTIONS
  * Add /usr/share/doc/cernlib-base/README.Debian to describe major changes
  * Move hdiff files from packlib to mathlib to avoid circular
    library dependencies
  * Purge most non-free code from source tree (the rest will take longer)
  * Fix bugs in linux-pmac.cf preventing compilation on powerpc
  * Add *.h and example files from src_cfortran.tar.gz to appropriate -dev
    packages
  * Separate cfortran into a separate package and Build-Depend: on it; also,
    -dev packages now Depend: upon cfortran
  * Create paw-static, paw++-static, and kxterm-static packages to work
    around bugs in some dynamically linked programs for now
  * Split off libmontecarlo0{,-dev,-doc} packages from libgeant0{,-dev}
    and montecarlo-data from geant321-data so that people who just want Geant
    don't get a lot of extraneous mclibs

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Tue, 12 Nov 2002 12:00:00 +0100

cernlib (2002.04.26-0.2) unstable; urgency=low

  * Fix /usr/bin/gxint so it uses the correct Fortran file:
    /usr/bin/geant321/gxint.f , not /usr/bin/geant321/geant.f
  * Add debian/hepdb.README.debian to alert user that some programs
    in the package have had name changes

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Mon, 17 Jun 2002 18:41:26 -0400

cernlib (2002.04.26-0.1) unstable; urgency=low

  * Initial Debian version
  * Imakefiles heavily modified so that the programs will use shared rather
    than static libraries

 -- Kevin B. McCarty <kmccarty@princeton.edu>  Sat,  8 Jun 2002 01:04:08 -0400

